<?php

if(!$CONF || $_REQUEST["CONF"]) {
	if (!defined("MB_LIBPATH")){
		define("MB_LIBPATH", realpath(dirname(__FILE__)."/../../../.."));
		require_once(MB_LIBPATH."/lib-pkg/parsefunction.php");
	}
	require_once mb_path("/lib-tk/include/common.php");
}

require_once mb_path("/lib-tk/include/sso/SSOSettings.php");

class EditSSOConfig extends MB_Action {
	function EditSSOConfig() {
		parent::MB_Action();
		$this->stringRep = "EditSSOConfig";
	}

	function execute() {
		global $CONF;
		parent::execute();

		$map_app_for = array(
			SSOSettings::APP_ADMIN => 'admin',
			SSOSettings::APP_CLIENT => 'client',
		);

		$sso_settings = getConfigs('system', 'sso');
		foreach ($sso_settings as $full_key => $value) {
			list($app_for, $key1, $key2) = split(':', $full_key);
			
			if (! is_null($key2)) {
				$this->smartyVars[$map_app_for[$app_for]][$key1][$key2] = $value;
			} else {
				$this->smartyVars[$map_app_for[$app_for]][$key1] = $value;
			}
		}
		
		if ($_REQUEST['admin_sso_err']) {
			$this->smartyVars['admin_sso_err'] = base64_decode($_REQUEST['admin_sso_err']);
		}
		if ($_REQUEST['client_sso_err']) {
			$this->smartyVars['client_sso_err'] = base64_decode($_REQUEST['client_sso_err']);
		}
		if ($_REQUEST['saved']) {
			$this->smartyVars['saved'] = 1;
		}
		if ($_REQUEST['sso_repairing_started']) {
			$this->smartyVars["sso_repairing_started"] = true;
		}

		$this->addTemplate("configs/EditSSOConfig");
		$this->addErrorTemplates();
		return $this->hasExecutedSuccessfully();
	}
}
?>