<style><!--
	{include file="$tplDirectory/widgets/cssbased/styles.css"}
--></style>

<center>

<table class="emailBody" cellpadding="0" cellspacing="0">
<tr><td class="emailTitle">
	Thank you for Registering with {$companyName}
</td></tr>
<tr><td>
	<table class="content" border="0" cellspacing="0">
		<tr>
			<td class="leftColumn">
				<p><strong>Dear {$contactFirstName} {$contactLastName},</strong></p>

				<p>Thank you for registering/transferring {$domainSLD}.{$domainTLD}
				to {$companyName}. If you are registering a new domain name, this
				will occur shortly. If you are transferring a domain, an email will
				be sent to you when the transfer occurs.</p>

				<table class="details" border="0" cellspacing="0">
					<tr><td class="header">DOMAIN INFORMATION</td></tr>
					<tr><td class="data">
						<span class="title">Domain</span> {$domainSLD}.{$domainTLD}<br/>
						<span class="title">Term:</span> {$packageCycleName}
					</td></tr>
				</table>
				<table class="details" border="0" cellspacing="0">
					<tr><td class="header">NAMESERVER INFORMATION</td></tr>
					<tr><td class="data">
						<p>Remember to update your DNS entries in order for your domain
						to propagate to your new hosting account.</p>

						<p>
							The DNS entries are listed below:<br/>
							{if $nameserver1}<span class="title">{$nameserver1}:</span> {$nameserver1IP}<br/>{/if}
							{if $nameserver2}<span class="title">{$nameserver2}:</span> {$nameserver2IP}<br/>{/if}
							{if $nameserver3}<span class="title">{$nameserver3}:</span> {$nameserver3IP}<br/>{/if}
							{if $nameserver4}<span class="title">{$nameserver4}:</span> {$nameserver4IP}<br/>{/if}
						</p>
					</td></tr>
				</table>
			</td>
			<td class="rightColumn">
				{include file="$tplDirectory/widgets/cssbased/rightColumnContent.tpl"}
			</td>
		</tr>
		<tr>
			<td colspan="2">
				<table class="information" border="0" cellspacing="0">
					<tr><td class="header">BILLING</td></tr>
					<tr><td class="data">
						<p>Login to our client billing system at the following URL to view and
						pay your invoices, change your payment type or billing details,
						update contact information, and more!</p>

						<p>
							<a href="{$companyClientURL}" target="_blank">{$companyClientURL}</a><br/>
							<strong>Username:</strong> {$contactUsername}
						</p>

						<p>Need help with your password? Visit the URL above and click the
						&quot;Forgot your password?&quot; link to retrieve your password.</p>
					</td></tr>
				</table>
				<table class="information" border="0" cellspacing="0">
					<tr><td class="header">QUESTIONS?</td></tr>
					<tr><td class="data">
						<p>If you have any questions regarding your account, please contact us
						at your convenience.</p>

						<p>Thank you,</p>

						<p>
							{$companyName}<br/>
							<a href="{$companyURL}" target="_blank">{$companyURL}</a>
						</p>
					</td></tr>
				</table>
			</td>
		</tr>
	</table>
</td></tr></table>

</center>