<?php
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2005 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+


require_once dirname(__FILE__)."/../../../../lib-tk/shield.php";
require_once mb_path("/lib-action/action.php");
require_once mb_path("/lib-tk/include/sso/SSOSettings.php");

class EditMyProfile extends EditAction {
	function EditMyProfile() {
		global $CONF;
		parent::EditAction();
		$this->stringRep = "EditMyProfile";
		$this->setDataSource(new DataSource("admins"));
		
		$description = $this->d->getDescription();
		
		$description["names"]["singular"] = "MyProfile";
		$description["display"]["detailsAction"] = "EditMyProfile";
		$description["display"]["editTemplate"] = "admins/EditMyProfile";
		
		$this->d->setDescription($description);
		
		$_REQUEST["adminID"] = $CONF["user"]["id"];
	}
	function addTemplate($template,$smartyVars=array(),$systemMenu=0){
		if (SSOSettings::spIsRegistered(NULL, SSOSettings::APP_ADMIN)) {
			$smartyVars["repairSSO"] = true;
			if ($_REQUEST['sso_repaired']) {
				$smartyVars["sso_repaired"] = true;
			}
		}
		parent::addTemplate($template,$smartyVars,1);
	}
}
?>
