<?php

require_once dirname(__FILE__)."/".str_repeat("../",4)."lib-tk/shield.php";

class RemoveClientContactResponse extends MB_Action
{

	public function execute()
	{
		require_once('ClientContactManager.php');

		$contact = Factory()->ClientContact(get_param('clientContactID'));
		$contact_id = $contact->id;
		$client_id = $contact->client_id;

		if (! ClientContactManager::delete($contact)) {
			redirect("clients.php", getActionID("RemoveClientContact"), array(
				"clientID" => $client_id,
				"clientContactID" => $contact_id,
				"removeFault" => 1
			));
			exit;
		}

		redirect("clients.php", getActionID("ShowClientContacts"), array("clientID" => $client_id));
	}
}
