{* $Id: sideMenuMajor_system.tpl 12415 2008-01-02 17:02:02Z kbailey $
 * --------------------------------------------------------------
 * This template displays the side navigation when the client's menu is selected.
 *
 * Smarty Variables:
 *	$imageDirectory	The relative path to the theme's image directory
 *
 * Example Usage:
 *  {include file="$tplDirectory/admin/header.tpl"}
 *
 * Author: Michael Fountain
 *}
{t c="TRANS_MANAGE_SYSTEM" d="Manage System"}
{t c="TRANS_EXPAND_ALL" d="Expand All"}

{t c="TRANS_SYSTEM_SETTINGS" d="System Settings"}
{t c="TRANS_MAIN_SYSTEM_SETTINGS" d="Main System Settings"}
{t c="TRANS_THEME_SETTINGS" d="Theme Settings"}
{t c="TRANS_ADMIN_SETTINGS" d="Admin Settings"}

{t c="TRANS_PAYMENT_SETTINGS" d="Payment Settings"}
{t c="TRANS_PAYMENT_SETTINGS" d="Payment Settings"}
{t c="TRANS_ENCRYPTION_SETTINGS" d="Encryption Settings"}
{t c="TRANS_GATEWAY_MODULES" d="Gateway Modules"}

{t c="TRANS_DOMAIN_SETTINGS" d="Domain Settings"}
{t c="TRANS_DOMAIN_TLD_SETTINGS" d="Domain TLD Settings"}
{t c="TRANS_REGISTRAR_MODULES" d="Registrar Modules"}

{t c="TRANS_SERVER_SETTINGS" d="Server Settings"}
{t c="TRANS_SERVER_SETTINGS" d="Server Settings"}
{t c="TRANS_SERVER_MODULES" d="Server Modules"}

{t c="TRANS_BILLING_SETTINGS" d="Invoice &amp; Billing Settings"}
{t c="TRANS_INVOICE_SETTINGS" d="Invoice Settings"}
{t c="TRANS_BILLING_SETTINGS" d="Billing Settings"}
{t c="TRANS_TAX_SETTINGS" d="Tax Settings"}
{t c="TRANS_ACCOUNTING_SETTINGS" d="Accounting Settings"}

{t c="TRANS_ORDER_SETTINGS" d="Order Settings"}
{t c="TRANS_ORDER_FORM_SETTINGS" d="Order Form Settings"}
{t c="TRANS_SHOW_ORDER_FORMS" d="Order Form Settings"}
{t c="TRANS_FRAUD_PREVENTION_SETTINGS" d="Fraud Prevention Settings"}

{t c="TRANS_EMAIL_SETTINGS" d="Email Settings"}
{t c="TRANS_EMAIL_TEMPLATES" d="Email Templates"}
{t c="TRANS_EMAIL_BANNING" d="Email Banning"}
{t c="TRANS_SHOW_BANS" d="Show Bans"}
{t c="TRANS_ADD_BAN" d="Add Ban"}

{t c="TRANS_PRODUCT_SETTINGS_CONFIGURATION" d="Product Settings"}
{t c="TRANS_PRODUCT_SETTINGS" d="Product Settings"}
{t c="TRANS_SSLCERT_SETTINGS" d="SSL Cert Setttings"}

{t c="TRANS_AUTOMATION_SETTINGS" d="Automation Settings"}
{t c="TRANS_SYSTEM_QUEUE_SETTINGS" d="System Queue Settings"}
{t c="TRANS_IP_QUEUE_SETTINGS" d="IP Queue Settings"}
{t c="TRANS_CRON_SETTINGS" d="Cron Settings"}
{t c="TRANS_AUTOSUSPEND_SETTINGS" d="Auto-suspend Settings"}
{t c="TRANS_MBALERT_MODULE" d="MBAlert Module"}

{t c="TRANS_USER_SETTINGS" d="User Settings"}
{t c="TRANS_USER_SETTINGS" d="User Settings"}
{t c="TRANS_EXTRA_USER_VARIABLES" d="Extra User Variables"}
{t c="TRANS_FORUMS_SETTINGS" d="Forum Settings"}
{t c="TRANS_PPC_MODULES" d="PPC Modules"}

{t c="TRANS_OTHER_SETTINGS" d="Other Settings"}
{t c="TRANS_FAQ_SETTINGS" d="FAQ Settings"}
{t c="TRANS_NEWS_SETTINGS" d="News Settings"}
{t c="TRANS_AFFILIATE_SETTINGS" d="Affiliate Settings"}
{t c="TRANS_AFFILIATE_MODULES" d="Affiliate Modules"}

{t c="TRANS_CONFIG_MANUAL" d="Configuration Manual"}
{t c="TRANS_OP_MANUAL" d="Operations Manual"}
{t c="TRANS_KNOWLEDGE_BASE" d="Knowledge Base"}
{t c="TRANS_HELPDESK" d="Helpdesk Support"}
{t c="TRANS_MEMBERS_AREA" d="Members Area / Downloads"}
{t c="TRANS_MEMBERS_FORUMS" d="Members Forums"}
{t c="TRANS_SYSTEM_CONFIGURATION" d="System Configuration"}
{t c="TRANS_HELP_AND_SUPPORT" d="Help & Support"}

{t c="TRANS_CONFIGURATION_WIZARD" d="Configuration Wizard"}

{t c="TRANS_SSO_GLOBAL_ACCOUNT" d="Global Account"}
{t c="TRANS_LICENSING" d="Licensing"}
{t c="TRANS_LICENSE_MANAGEMENT" d="License Management"}

<div>

{* system side menu *}
<div class="lbox01">
	<div class="lbox01m0" id="majorNavDivZag_system" onclick="toggleSubNav('system');">{$smarty.const.TRANS_SYSTEM}</div>
	<div class="lbox01b" id="majorNavDiv_system">
		<div class="menu">
			<ul>
			{section name=i loop=$navConfigGroups}
				{assign var="configGroupID" value=$navConfigGroups[i].configGroupID}
				{assign var="configGroupTransKey" value=$navConfigGroups[i].configGroupTransKey}
				{assign var="icomenuone" value=$cfg_icomenu[$configGroupTransKey]}
				{if $navConfigGroups[i].configGroupName=="server"}
					<li><a href="{getHREF page="servergroups.php" actionName="ShowServerGroups"}"><img src="{$imageDirectory}/ico/{$icomenuone}.gif" width="16" height="16" alt="" title="" /> <span>{$smarty.const.$configGroupTransKey}</span><!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
					<ul>
						<li><b><a href="{getHREF page="servergroups.php" actionName="ShowServerGroups"}"><img src="{$imageDirectory}/ico/mnu_manage_groups.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_SERVER_GROUPS}<!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
							<!--[if lte IE 6]></td></tr></table></a><![endif]-->
							</b>
						</li>
						<li><a href="{getHREF page="modules.php" actionName="ShowSystemModuleInfo"}"><span class="drop"><span><img src="{$imageDirectory}/ico/mnu_manage_info.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_SYSTEM_INFO} </span>&raquo;</span><!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
							<ul>
								<li><a href="{getHREF page="modules.php" actionName="ShowSystemLicenseInfo"}"><img src="{$imageDirectory}/ico/mnu_manage_info_license.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_LICENSE_MANAGEMENT}</a></li>
								<li><a href="{getHREF page="modules.php" actionName="ShowSystemModuleInfo"}"><img src="{$imageDirectory}/ico/cubes.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_MODERNBILL_MODULE_INFO}</a></li>
								<li><a href="{getHREF page="modules.php" actionName="ShowSystemServerInfo"}"><img src="{$imageDirectory}/ico/mnu_manage_info_server.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_SERVER_INFO}</a></li>
								<li><a href="{getHREF page="modules.php" actionName="ShowMBRequirementsTest"}"><img src="{$imageDirectory}/ico/mnu_manage_info_req_test.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_SYSTEM_REQUIREMENTS_TEST}</a></li>
								<li><a href="{getHREF page="modules.php" actionName="ShowPHPInfo"}"><img src="{$imageDirectory}/ico/mnu_manage_info_php.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_PHP_INFO}</a></li>
							</ul>
							<!--[if lte IE 6]></td></tr></table></a><![endif]-->
						</li>
				{else}
					{assign var="actionFile" value=$navConfigGroups[i].levelOneConfigGroups.levelOneConfigGroup[0].configGroupActionFile}
					{assign var="actionName" value=$navConfigGroups[i].levelOneConfigGroups.levelOneConfigGroup[0].configGroupActionName}
					{assign var="actionConfigGroupID" value=$navConfigGroups[i].levelOneConfigGroups.levelOneConfigGroup[0].configGroupID}
					{assign var="isFirstItemMarked" value=0}

					{if $navConfigGroups[i].configGroupName=="system"}
					<li>
						<a href="configs.php?sid={$sid}&action={getActionID action="ShowConfigs"}&parentConfigGroupID=0"><img src="{$imageDirectory}/ico/{$icomenuone}.gif" width="16" height="16" alt="" title="" />  <span>{$smarty.const.$configGroupTransKey}</span><!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
						<ul>
							<li><b><a href="configs.php?sid={$sid}&action={getActionID action="ShowConfigs"}&parentConfigGroupID=0"><img src="{$imageDirectory}/ico/{$icomenuone}.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_SYSTEM_CONFIGURATION}</a></b></li>
							{assign var="isFirstItemMarked" value=1}
					{else}
					<li>
						<a href="{if $actionFile}{$actionFile}{else}configs.php{/if}?sid={$sid}&action={if $actionName}{getActionID action=$actionName}{else}{getActionID action="ShowConfigs"}{/if}&configGroupID={if $actionConfigGroupID}{$actionConfigGroupID}{else}0{/if}"><img src="{$imageDirectory}/ico/{$icomenuone}.gif" width="16" height="16" alt="" title="" /> <span>{$smarty.const.$configGroupTransKey}</span><!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
						<ul>
					{/if}
						{section name=link loop=$navConfigGroups[i].levelOneConfigGroups.levelOneConfigGroup}
							{assign var="configChildGroupTransKey" value=$navConfigGroups[i].levelOneConfigGroups.levelOneConfigGroup[link].configGroupTransKey}
							{assign var="configChildGroupID" value=$navConfigGroups[i].levelOneConfigGroups.levelOneConfigGroup[link].configGroupID}
							{assign var="configChildGroupActionFile" value=$navConfigGroups[i].levelOneConfigGroups.levelOneConfigGroup[link].configGroupActionFile}
							{assign var="configChildGroupActionName" value=$navConfigGroups[i].levelOneConfigGroups.levelOneConfigGroup[link].configGroupActionName}
							{assign var="icomenuone" value=$cfg_icomenu[$configChildGroupTransKey]}
		
							{if $configChildGroupTransKey!=""}
								{assign var="linkTitle" value=$smarty.const.$configChildGroupTransKey}
							{else}
								{assign var="linkTitle" value=$configChildGroupTransKey}
							{/if}
							{if $configChildGroupActionFile!="" && $configChildGroupActionName!=""}
							{if $configChildGroupActionName=="ShowAttributes" || $configChildGroupActionName=="ShowTaxZones" ||  $configChildGroupActionName=="ShowAdmins" || $configChildGroupActionName=="MigrateIntro" ||  $configChildGroupActionName=="ShowOrderForms"}
								{assign var="show3" value=1}
							{else}
								{assign var="show3" value=0}
							{/if}
							<li>
								{if ! $isFirstItemMarked}<b>{/if}
								<a href="{getHREF page=$configChildGroupActionFile actionName=$configChildGroupActionName args="configGroupID=$configChildGroupID"}">{if $show3==1}<span class="drop"><span>{/if}<img src="{$imageDirectory}/ico/{$icomenuone}.gif" width="16" height="16" alt="" title="" /> {$linkTitle}{if $show3==1}</span>&raquo;</span>{/if}<!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
								{if ! $isFirstItemMarked}</b>{/if}
								
								{assign var="isFirstItemMarked" value=1}

								{if $configChildGroupActionName=="ShowAttributes"}
								<ul>
									<li><a href="{getHREF page="orderforms.php" actionName="ShowAttributes"}"><img src="{$imageDirectory}/ico/mnu_manage_order_attrib_manage.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_MANAGE_ATTRIBUTES}</a></li>
									<li><a href="{getHREF page="orderforms.php" actionName="ShowWizardQuestions"}"><img src="{$imageDirectory}/ico/mnu_manage_order_attrib_questions.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_MANAGE_QUESTIONS}</a></li>
								</ul>
								{elseif $configChildGroupActionName=="ShowTaxZones"}
								<ul>
									<li><a href="{getHREF page="taxes.php" actionName="ShowTaxZones"}"><img src="{$imageDirectory}/ico/mnu_manage_bill_tax_zones.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_TAX_ZONES}</a></li>
									<li><a href="{getHREF page="taxes.php" actionName="ShowTaxZoneGroups"}"><img src="{$imageDirectory}/ico/mnu_manage_bill_tax_groups.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_TAX_ZONE_GROUPS}</a></li>
								</ul>
								{elseif $configChildGroupActionName=="ShowAdmins"}
								<ul>
									<li><a href="{getHREF page="admins.php" actionName="EditMyProfile"}"><img src="{$imageDirectory}/ico/mnu_manage_sys_sett_admin_profile.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_MYPROFILE}</a></li>
									<li><a href="{getHREF page="admins.php" actionName="AddAdmin"}"><img src="{$imageDirectory}/ico/mnu_manage_sys_sett_admin_add.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_ADD_NEW_ADMIN}</a></li>
									<li><a href="{getHREF page="admins.php" actionName="ShowAdminGroups"}"><img src="{$imageDirectory}/ico/mnu_manage_sys_sett_admin_manage.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_MANAGE_ADMIN_GROUPS}</a></li>
								</ul>
								{elseif $configChildGroupActionName=="MigrateIntro"}
								<ul>
									<li><a href="{getHREF page="migrate.php" actionName="MigrateIntro"}"><img src="{$imageDirectory}/ico/mnu_manage_migrat_introd.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_INTRODUCTION}</a></li>
									<li><a href="{getHREF page="migrate.php" actionName="ShowMigrationConfigs"}"><img src="{$imageDirectory}/ico/mnu_manage_migrat_show.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_SHOW_MIGRATIONS}</a></li>
									<li><a href="{getHREF page="migrate.php" actionName="AddMigrationConfig"}"><img src="{$imageDirectory}/ico/mnu_manage_migrat_add.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_ADD_MIGRATION}</a></li>
								</ul>
								{elseif $configChildGroupActionName=="ShowOrderForms"}
								<ul>
									<li><a href="{getHREF page="orderforms.php" actionName="ShowOrderForms"}"><img src="{$imageDirectory}/ico/mnu_manage_order_form_set.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_SHOW_ORDER_FORMS}</a></li>
									<li><a href="{getHREF page="orderforms.php" actionName="ShowBans"}"><img src="{$imageDirectory}/ico/mnu_manage_order_bans.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_SHOW_BANS}</a></li>
									<li><a href="{getHREF page="orderforms.php" actionName="AddBan"}"><img src="{$imageDirectory}/ico/mnu_manage_order_bans_add.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_ADD_BAN}</a></li>
								</ul>
								{/if}
								<!--[if lte IE 6]></td></tr></table></a><![endif]-->
							</li>
							{else}
								<li>
									{if ! $isFirstItemMarked}<b>{/if}
										<a href="{getHREF page="configs.php" actionName="ShowConfigs" args="configGroupID=$configChildGroupID"}"><img src="{$imageDirectory}/ico/{$icomenuone}.gif" width="16" height="16" alt="" title="" /> {$linkTitle}<!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
										<!--[if lte IE 6]></td></tr></table></a><![endif]-->
									{if ! $isFirstItemMarked}</b>{/if}
								</li>
								{assign var="isFirstItemMarked" value=1}
							{/if}
						{/section}
					{/if}
					</ul>
					<!--[if lte IE 6]></td></tr></table></a><![endif]-->
				</li>
			{sectionelse}
				<li><a href="configs.php?sid={$sid}&action={getActionID action="ShowConfigs"}&parentConfigGroupID=0"><img src="{$imageDirectory}/ico/mnu_manage_configuration.gif" width="16" height="16" alt="" title="" /> <span>{$smarty.const.TRANS_SYSTEM_CONFIGURATION}</span><!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
					<!--[if lte IE 6]></td></tr></table></a><![endif]-->
				</li>
				<li><a href="{getHREF page="servergroups.php" actionName="ShowServerGroups"}"><img src="{$imageDirectory}/ico/mnu_manage_settings.gif" width="16" height="16" alt="" title="" /> <span>{$smarty.const.TRANS_SERVER_SETTINGS}</span><!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
					<ul>
						<li><b><a href="{getHREF page="servergroups.php" actionName="ShowServerGroups"}"><img src="{$imageDirectory}/ico/mnu_manage_groups.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_SERVER_GROUPS}<!--[if gt IE 6]><!--></a></b><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
							<!--[if lte IE 6]></td></tr></table></a><![endif]-->
						</li>
						<li><a href="{getHREF page="modules.php" actionName="ShowSystemModuleInfo"}"><span class="drop"><span><img src="{$imageDirectory}/ico/mnu_manage_info.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_SYSTEM_INFO}</span>&raquo;</span><!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
							<ul>
								<li><a href="{getHREF page="modules.php" actionName="ShowSystemLicenseInfo"}"><img src="{$imageDirectory}/ico/mnu_manage_info_license.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_LICENSE_MANAGEMENT}</a></li>
								<li><a href="{getHREF page="modules.php" actionName="ShowSystemModuleInfo"}"><img src="{$imageDirectory}/ico/cubes.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_MODERNBILL_MODULE_INFO}</a></li>
								<li><a href="{getHREF page="modules.php" actionName="ShowSystemServerInfo"}"><img src="{$imageDirectory}/ico/mnu_manage_info_server.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_SERVER_INFO}</a></li>
								<li><a href="{getHREF page="modules.php" actionName="ShowMBRequirementsTest"}"><img src="{$imageDirectory}/ico/mnu_manage_info_req_test.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_SYSTEM_REQUIREMENTS_TEST}</a></li>
								<li><a href="{getHREF page="modules.php" actionName="ShowPHPInfo"}"><img src="{$imageDirectory}/ico/mnu_manage_info_php.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_PHP_INFO}</a></li>
							</ul>
							<!--[if lte IE 6]></td></tr></table></a><![endif]-->
						</li>
					</ul>
					<!--[if lte IE 6]></td></tr></table></a><![endif]-->
				</li>
				<li><a href="{getHREF page="migrate.php" actionName="MigrateIntro"}"><img src="{$imageDirectory}/ico/mnu_manage_migrat.gif" width="16" height="16" alt="" title="" /> <span>{$smarty.const.TRANS_MIGRATION_SETTINGS}</span><!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
					<ul>
						<li><b><a href="{getHREF page="migrate.php" actionName="MigrateIntro"}"><img src="{$imageDirectory}/ico/mnu_manage_migrat_introd.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_INTRODUCTION}<!--[if gt IE 6]><!--></a></b><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
							<!--[if lte IE 6]></td></tr></table></a><![endif]-->
						</li>
						<li><a href="{getHREF page="migrate.php" actionName="ShowMigrationConfigs"}"><img src="{$imageDirectory}/ico/mnu_manage_migrat_show.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_SHOW_MIGRATIONS}<!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
							<!--[if lte IE 6]></td></tr></table></a><![endif]-->
						</li>
						<li><a href="{getHREF page="migrate.php" actionName="AddMigrationConfig"}"><img src="{$imageDirectory}/ico/mnu_manage_migrat_add.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_ADD_MIGRATION}<!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
							<!--[if lte IE 6]></td></tr></table></a><![endif]-->
						</li>
					</ul>
					<!--[if lte IE 6]></td></tr></table></a><![endif]-->
				</li>
			{/section}
				
				<li><a href="https://www.parallels.com/support/pleskbilling/form/" target="_blank"><img src="{$imageDirectory}/ico/mnu_manage_support.gif" width="16" height="16" alt="" title="" /> <span>{$smarty.const.TRANS_HELP_AND_SUPPORT}</span><!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
					<ul>
						<li><b><a href="https://www.parallels.com/support/pleskbilling/form/" target="_blank"><img src="{$imageDirectory}/ico/mnu_manage_support_helpdesk.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_HELPDESK}<!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
							<!--[if lte IE 6]></td></tr></table></a><![endif]-->
							</b>
						</li>
						
						<li><a href="http://download.ppb.parallels.com/6.0/doc/v6co/" target="_blank"><img src="{$imageDirectory}/ico/mnu_manage_support_config_manual.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_CONFIG_MANUAL}<!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
							<!--[if lte IE 6]></td></tr></table></a><![endif]-->
						</li>
						
						<li><a href="http://download.ppb.parallels.com/6.0/doc/v6op/" target="_blank"><img src="{$imageDirectory}/ico/mnu_manage_support_operat_manual.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_OP_MANUAL}<!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
							<!--[if lte IE 6]></td></tr></table></a><![endif]-->
						</li>
						
						<li><a href="https://billing.pleskbilling.com/client/" target="_blank"><img src="{$imageDirectory}/ico/mnu_manage_support_downloads.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_MEMBERS_AREA}<!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
							<!--[if lte IE 6]></td></tr></table></a><![endif]-->
						</li>
						
						<li><a href="http://forums.pleskbilling.com/" target="_blank"><img src="{$imageDirectory}/ico/mnu_manage_support_forums.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_MEMBERS_FORUMS}<!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
							<!--[if lte IE 6]></td></tr></table></a><![endif]-->
						</li>
						
					</ul>
					<!--[if lte IE 6]></td></tr></table></a><![endif]-->
				</li>
				<li><a href="configs.php?sid={$sid}&action={getActionID action="FirstTimeIntroduction"}&parentConfigGroupID=0"><img src="{$imageDirectory}/ico/mnu_manage_configuration.gif" width="16" height="16" alt="" title="" /> <span>{$smarty.const.TRANS_CONFIGURATION_WIZARD}</span><!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
					<!--[if lte IE 6]></td></tr></table></a><![endif]-->
				</li>
				{if $smarty.const.SSO_ENABLED}
				<li>
					<a href="login.php?sid={$sid}&action={getActionID action="ShowIDPFIManagement"}&parentConfigGroupID=0">
					<img src="{$imageDirectory}/ico/nav_sso.gif" width="16" height="16" alt="" title="" /> <span>{$smarty.const.TRANS_SSO_GLOBAL_ACCOUNT}</span>
					</a>
				</li>
				
				{/if}
			</ul>
		</div>
		<div class="lbox01c">
		</div>
	</div>{* lbox01b *}
</div>{* lbox01 *}

</div>