{* $Id: ShowForgottenPassword.tpl 8485 2006-08-25 17:01:27Z bsmith $
 * --------------------------------------------------------------
 * This template displays the admin login form.
 *
 * Smarty Variables:
 *  $redirectActionID  -  The action ID to redirect to. This is 0 if we're not redirecting.
 *  $redirectActionFile  -  The filename to redirect to. This is "" if we're not redirecting.
 *
 *  $htmlLang		The language this document will render
 *	$userIP			The logged IP address of the user
 * 	$cssDirectory	The relative path to the theme's css directory
 *	$jsDirectory	The relative path to the theme's javascript directory
 *	$imageDirectory	The relative path to the theme's image directory
 *}
{strip}
{t c="TRANS_ADMINISTRATIVE_LOGIN" d="Administrative Login"}
{t c="TRANS_IP_LOGGING_ENABLED" d="IP Logging Enabled"}
{t c="TRANS_INVALIDSESSION" d="Invalid Session"}
{t c="TRANS_FORGOT" d="Forgot"}
{t c="TRANS_FORGOT_YOUR_PASSWORD" d="Forgot your password"}
{t c="TRANS_LOGIN" d="Login"}
{t c="TRANS_LOGINFAILURE" d="Login Failure"}
{t c="TRANS_LOGOUTSUCCESSFUL" d="Logout Successful"}
{t c="TRANS_USERNAME" d="Username"}
{t c="TRANS_PASSWORD" d="Password"}
{t c="TRANS_EMAIL" d="Email"}
{t c="TRANS_EMAIL_NOT_FOUND" d="Email Address Not Found."}
{t c="TRANS_LOGIN_FORGOT_TEXT" d="<b>Attention!!!</b><br />Sending password by e-mail is insecure!<br />Enter your e-mail registered in the system for password delivery."}
{/strip}

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-basic.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="{$htmlLang}" lang="{$htmlLang}" dir="{$smarty.const.TRANS_TEXTDIRECTION}">
<head>
<title>{$smarty.const.TRANS_PLESK_BILLING} .:. {$smarty.const.TRANS_FORGOT_YOUR_PASSWORD}</title>
<meta http-equiv="content-type" content="text/html; charset=utf-8" />
<link href="{$cssDirectory}/plesk.css" rel="stylesheet" type="text/css" />
<link href="{$cssDirectory}/style.css" rel="stylesheet" type="text/css" />

<link rel="shortcut icon" href="{$imageDirectory}/logos/favicon.ico" />
<script language="javascript" type="text/javascript" src="{$jsDirectory}/clearform.js"></script>
</head>
<body>

{* Top logo *}
{include
	file="$commonTplDirectory/frameset/topFrame.tpl"
}

<div class="login-div">
		<form name="forgotPassword" method="post" action="login.php">
		<input type="hidden" name="action" value="{getActionID action="ForgottenPasswordResponse"}" />
		<center>
			<table border="0" cellspacing="0" cellpadding="0" class="login" align="center">
				{include file="$commonTplDirectory/login/MessageBox.tpl"}
				<tr>
					<td class="loginTitle">
					{$smarty.const.TRANS_FORGOT_YOUR_PASSWORD}
					</td>
				</tr>
				<tr>
					<td>
						<div class="login02">
							<table width="100%"  border="0" cellspacing="0" cellpadding="0" class="login04">
							<tr>
								<td colspan="2">
							{$smarty.const.TRANS_IP_LOGGING_ENABLED}: {$userIP}
								</td>
							</tr>
							<tr>
								<td colspan="2">
							{$smarty.const.TRANS_LOGIN_FORGOT_TEXT}
								</td>
							</tr>
							<tr{if $invalid.adminEmail}class="highlight"{/if}>
								<td align="right">{$smarty.const.TRANS_EMAIL}:</td>
								<td><input name="contactEmail" type="text" value="" /> {$invalid.adminEmail}</td>
							</tr>
							<tr>
								<td><a href="{getHREF page="login.php" actionName="ShowLogin"}">{$smarty.const.TRANS_LOGIN}</a></td>
								<td class="loginbutton"><div class="rm_login"><input class="submit" type="submit" name="submit" value="{$smarty.const.TRANS_SUBMIT}" /></div></td>
							</tr>
							</table>
						</div>
					</td>
				</tr>
			</table>
		</center>
		</form>
</div>
</body>
</html>