<style><!--
	{include file="$tplDirectory/widgets/cssbased/styles.css"}
--></style>

<center>

<table class="emailBody" cellpadding="0" cellspacing="0">
<tr><td class="emailTitle">
	Welcome to {$companyName}
</td></tr>
<tr><td>
	<table class="content" border="0" cellspacing="0">
		<tr>
			<td class="leftColumn">
				<p><strong>Welcome {$contactFirstName} {$contactLastName}!</strong></p>

				<p>Thank you for signing up with {$companyName}. Your new account information is provided below.</p>

				<table class="details" border="0" cellspacing="0">
					<tr><td class="header">ACCOUNT INFORMATION</td></tr>
					<tr><td class="data">
						<span class="title">Plan:</span> {$packageName}<br/>
						<span class="title">Price:</span> {$packagePrice|getAmount:$currencyID}<br/>
						<span class="title">Domain:</span> {$domainSLD}.{$domainTLD}<br/>
						<span class="title">IP Address:</span> {$packageIP}
					</td></tr>
				</table>
				<table class="details" border="0" cellspacing="0">
					<tr><td class="header">LOGIN INFORMATION</td></tr>
					<tr><td class="data">
						<span class="title">Plan:</span> {$packageName}<br/>
						<span class="title">Domain:</span> {$domainSLD}.{$domainTLD}<br/>
						<span class="title">Username:</span> {$packageUsername}<br/>
						<span class="title">Password:</span> {$packagePassword}
					</td></tr>
				</table>
				<table class="details" border="0" cellspacing="0">
					<tr><td class="header">FTP INFORMATION</td></tr>
					<tr><td class="data">
						<span class="title">FTP:</span> {$packageIP}<br/>
						<span class="title">Username:</span> {if $ftpUsername}{$ftpUsername}{else}{$packageUsername}{/if}<br/>
						<span class="title">Password:</span> {if $ftpPassword}{$ftpPassword}{else}{$packagePassword}{/if}
					</td></tr>
				</table>
				<table class="details" border="0" cellspacing="0">
					<tr><td class="header">TELNET/SSH INFORMATION</td></tr>
					<tr><td class="data">
						<span class="title">SSH:</span> {$packageIP}<br/>
						<span class="title">Username:</span> {$packageUsername}<br/>
						<span class="title">Password:</span> {$packagePassword}
					</td></tr>
				</table>
				<table class="details" border="0" cellspacing="0">
					<tr><td class="header">NAMESERVER INFORMATION</td></tr>
					<tr><td class="data">
						{if $nameserver1}<span class="title">{$nameserver1}:</span> {$nameserver1IP}<br/>{/if}
						{if $nameserver2}<span class="title">{$nameserver2}:</span> {$nameserver2IP}<br/>{/if}
						{if $nameserver3}<span class="title">{$nameserver3}:</span> {$nameserver3IP}<br/>{/if}
						{if $nameserver4}<span class="title">{$nameserver4}:</span> {$nameserver4IP}<br/>{/if}
					</td></tr>
				</table>

				<p>
					You may access your control panel at
					<a href="http://{$packageIP}/CONTROL PANEL PATH" target="_blank">http://{$packageIP}/CONTROL PANEL PATH</a> or
					<a href="http://{$domainSLD}.{$domainTLD}/CONTROL PANEL PATH" target="_blank">http://{$domainSLD}.{$domainTLD}/CONTROL PANEL PATH</a>
					if your domain has been transferred to our nameservers.
				</p>
			</td>
			<td class="rightColumn">
				{include file="$tplDirectory/widgets/cssbased/rightColumnContent.tpl"}
			</td>
		</tr>
		<tr>
			<td colspan="2">
				<table class="information" border="0" cellspacing="0">
					<tr><td class="header">BILLING</td></tr>
					<tr><td class="data">
						<p>Login to our client billing system at the following URL to view and pay your invoices,
						change your payment type or billing details, update contact information, and more!</p>

						<p>
							<a href="{$companyClientURL}" target="_blank">{$companyClientURL}</a><br/>
							<strong>Username:</strong> {$contactUsername}
						</p>

						<p>Need help with your password? Visit the URL above and click the Forgot your password?
						link to retrieve your password.</p>
					</td></tr>
				</table>
				<table class="information" border="0" cellspacing="0">
					<tr><td class="header">QUESTIONS?</td></tr>
					<tr><td class="data">
						<p>If you have any questions regarding your account, please contact us at your convenience.</p>

						<p>Thank you,</p>

						<p>
							{$companyName}<br/>
							<a href="{$companyURL}" target="_blank">{$companyURL}</a>
						</p>
					</td></tr>
				</table>
			</td>
		</tr>
	</table>
</td></tr></table>

</center>